/*****************************************************/
/*****  Fonction permettant de creer une Befig.  *****/
/*** Ce fichier est genere par le ~luc/luc/GEN/gen ***/
/**** qui prend en entree un .vbe et qui le parse ****/
/****            batch macrogenere                ****/
/***       fichier compile : high1.vbe    ***/
/**********************************************/

#include <stdio.h>
#include MUT_H
#include LOG_H
#include BEH_H

befig_list *high1()
{
befig_list *befigAux;
chain_list *abl;
begen_list *genAux = NULL;
int *pentier;
befigAux = beh_addbefig(NULL,namealloc("high1"));
befigAux->BERIN = beh_addberin(befigAux->BERIN,namealloc("vss"));
befigAux->BERIN = beh_addberin(befigAux->BERIN,namealloc("vdd"));
befigAux->BEPOR = beh_addbepor(befigAux->BEPOR,namealloc("vss"),'I','B');
befigAux->BEPOR = beh_addbepor(befigAux->BEPOR,namealloc("vdd"),'I','B');
befigAux->BEPOR = beh_addbepor(befigAux->BEPOR,namealloc("t"),'O','B');
befigAux->BEPOR = (bepor_list *)reverse((chain_list *)befigAux->BEPOR);
abl = charToExpr("'1'");
befigAux->BEOUT = beh_addbeout(befigAux->BEOUT,namealloc("t"),abl,NULL);
pentier = (int *) mbkalloc(sizeof(int));
*pentier = 4020;
genAux = beh_addbegen(genAux,"rup","natural",(void *)pentier);
pentier = (int *) mbkalloc(sizeof(int));
*pentier = 504;
genAux = beh_addbegen(genAux,"area","natural",(void *)pentier);
befigAux->BEGEN = genAux;
befigAux->CIRCUI = NULL;
befigAux->NEXT = NULL;
abl = charToExpr("(and vdd (not vss))");
befigAux->BEMSG = beh_addbemsg(befigAux->BEMSG,NULL,'W',"power supply is missing on high1",abl,NULL);

return befigAux;
}
